#include <stdio.h>
#include <math.h>
int main()
{
    long long int a,b;
    char x,y;
scanf("%c%c",&x,&y);
scanf("%lld %lld",&a,&b);
if(abs(a-b)==1 || a==b)
{
if(a>b || a==b)
for(int i=0;i<a+b;i++)
if(i%2==0)
printf("%c",x);
else
printf("%c",y);
else
for(int i=0;i<a+b;i++)
if(i%2==0)
printf("%c",y);
else
printf("%c",x);
}
else
printf("nemoguce");
}